#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - cifs-utils-doc preinstallation
#
# Creation   :  2023-04-29 mr
# Last update:  2023-04-29 mr
#
# Copyright (c) 2023 Marcus Roeckrath, marcus.roeckrath(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

installed=$(eisman check samba-doc 14.0.8)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/samba-doc-files.txt ]
    then
        sed -i '/usr\/share\/man\/man8\/mount\.cifs\.8$/d' /etc/filelist.d/samba-doc-files.txt
        sed -i '/usr\/share\/man\/man8\/mount\.smb3\.8$/d' /etc/filelist.d/samba-doc-files.txt
    fi
fi

exit 0

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
